gr.zeus.util

## Class SimpleTimerMillis

- java.lang.Object
- - gr.zeus.util.SimpleTimerMillis

-     public final class SimpleTimerMillis
      extends java.lang.Object

  A very simple timer for timing java method calls and other processes. Millisecond precision.

  Since:
    1.05
  Author:
    Gregory Kotsaftis

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `SimpleTimerMillis()` Constructor.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `long` | `elapsedMillis()` Get elapsed time in milliseconds.
    `double` | `elapsedSeconds()` Get elapsed time in seconds.
    `void` | `reset()` Resets the timer.
    `void` | `start()` Starts timing a job.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SimpleTimerMillis

          public SimpleTimerMillis()

      Constructor.

  - ### Method Detail

    - #### reset

          public void reset()

      Resets the timer.

    - #### start

          public void start()

      Starts timing a job.

    - #### elapsedMillis

          public long elapsedMillis()

      Get elapsed time in milliseconds.

      Returns:
        The elapsed time in milliseconds.

    - #### elapsedSeconds

          public double elapsedSeconds()

      Get elapsed time in seconds.

      Returns:
        The elapsed time in seconds.